/*===============================================================================================
 ブロック名   : ドライバブロック
 機能説明     : ドライバブロックの公開I/Fをまとめたヘッダファイル。
              : 
 Revision    : 1.00
 Date        : 2015/02/23
 Author      : S.Shinagawa
 COPYRIGHT (C) NOGUE-LAB.COM ALL RIGHTS RESERVED
================================================================================================*/
#ifndef DRV_PUBLIC_H_
#define DRV_PUBLIC_H_
/*===============================================================================================
 定数宣言
================================================================================================*/
#define DRV_OK			(0)			/*正常終了													*/
#define DRV_NG			(-1)		/*異常終了													*/

/*I2C設定---------------------------------------------------------------------------------------*/
#define ADDR_TYPE_1BYTE	(1)			/*スレーブ端末の参照先アドレス値のサイズ 1byteタイプ		*/
#define ADDR_TYPE_2BYTE	(2)			/*スレーブ端末の参照先アドレス値のサイズ 2byteタイプ		*/

/*===============================================================================================
 プロトタイプ宣言
================================================================================================*/
/*I2C I/F---------------------------------------------------------------------------------------*/
extern int DRV_openI2c(char *pI2cDev);
extern void DRV_closeI2c(void);
extern int DRV_setSlaveAddr(int slaveAddr);
extern int DRV_writeI2c(unsigned int addr,unsigned char *pBuf,unsigned int length,int addrType);
extern int DRV_readI2c(unsigned int addr,unsigned char *pBuf,unsigned int length,int addrType);
#endif /*DRV_PUBLIC_H_*/
/*=========================================== END ==============================================*/
